MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/strset.h File Reference

`#include <glib.h>`

Go to the source code of this file.

## Functions
G_GNUC_MALLOC struct strset * | strset_new (void)
void | strset_free (struct strset *set)
void | strset_add (struct strset *set, const char *value)
int | strset_get (const struct strset *set, const char *value)
unsigned | strset_size (const struct strset *set)
void | strset_rewind (struct strset *set)
const char * | strset_next (struct strset *set)

## Function Documentation

void strset_add | ( | struct strset * | set,
|  | const char * | value
| ) |  |

void strset_free | ( | struct strset * | set | ) |

int strset_get | ( | const struct strset * | set,
|  | const char * | value
| ) |  |

G_GNUC_MALLOC struct strset* strset_new | ( | void |  | ) | `[read]`

const char* strset_next | ( | struct strset * | set | ) |

void strset_rewind | ( | struct strset * | set | ) |

unsigned strset_size | ( | const struct strset * | set | ) |